﻿/* Move down content because we have a fixed navbar that is 50px tall */
body {
    padding-top: 50px;
    /*padding-bottom: 20px;*/
}

/* Wrapping element */
/* Set some basic padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
    
}
.container {
    min-width: 320px;
}
/* Override the default bootstrap behavior where horizontal description lists 
   will truncate terms that are too long to fit in the left column 
*/
.dl-horizontal dt {
    white-space: normal;
}

/* Set widths on the form inputs since otherwise they're 100% wide */
/*input[type="text"],
input[type="password"],
input[type="email"],
input[type="tel"],
input[type="select"] {
    max-width: 280px;
}*/

.btn-AddToCart{
    color: white;
    background-color: #CC4E35;
    border-color: #CC4E35;
}
    .btn-AddToCart a {
        color: white;
        text-decoration:none;
    }

.carousel-indicators li{
        -webkit-box-shadow: 0 0 15px #888888;
    -moz-box-shadow: 0 0 15px #888888;
    box-shadow: 0 0 10px 2px #888888;

}
.carousel-indicators .active{
    background-color:#888888;
}                      
                  
.caret-right {
  float: right;
  -webkit-transition: -webkit-transform .65s ease;
  transition: transform .65s ease;
}

.caret-down {
  -webkit-transform: rotate(90deg);
  -ms-transform: rotate(90deg);
  transform: rotate(90deg);
}
.page-header{
    margin-top:10px;
    margin-bottom:10px;
}
.panel-custom-default {
        border: none;
    box-shadow: none;
    margin-bottom: 5px;
}

.panel-custom-default .panel-heading {
    background: #88ad1f;
    color: white;
    border: none;
    padding: 2px 15px;
    letter-spacing: 2px;
    font-size: 16px;
}

.panel-custom-black {
        border: none;
    box-shadow: none;
    margin-bottom: 0px;
}
    .panel-custom-black .panel-heading {
        background-color: #666464;
        border: none;
        letter-spacing: 2px;
        color: white;
        font-size: 16px;
        padding: 5px 15px;
        border-radius: 10px;
    }
a.whitea, a.whitea:link, a.whitea:hover, a.whitea:visited {
        color:white;
        text-decoration:none;
        cursor:pointer;
    }

.prodpic .img{
        max-height:250px;
        border: none;
        padding:5px;
    }

    .stretch {
        display: inline-flex;
        flex-wrap: wrap;
        margin: 5px;
        align-content: stretch;
        width:100%;
    }

#Pagesection {
    font-size:14px;
}

    #Pagesection .Selected {
        background-color: rgba(102,100,100,.5);
        color: white !important;
    }
    #Pagesection .pgc {
        padding: 4px 8px;
        border-radius: 0.25rem;
        border: 1px solid #6c757d;
        color: #6c757d;
        font-size: 14px;
    }
        #Pagesection .pgc:hover {
            text-decoration: none;
            background-color: #6c757d;
            color: white;
        }
    .proddetail{
        margin-left:8px;
        margin-right:8px;
    }
    .ProductListHead{
        /*多行*/
        overflow : hidden;
        text-overflow: ellipsis;
        display: -webkit-box;
        -webkit-line-clamp: 2;
        -webkit-box-orient: vertical;
        line-height:1.1em;
        max-height:2.2em;
        font-size:16px;
    }
    .ProductListDetail {
            line-height:160%;
            font-size:13px;
        }

        .ProductListDetail .price {
            color: #E96A1B;
            font-size:20px;
            font-weight:bold;
        }
        .ProductListDetail .btn-Add {
            --bs-btn-bg: #BABD56;
            --bs-btn-color:white;
            --bs-btn-hover-bg: white;
            --bs-btn-hover-color: #BABD56;
            --bs-btn-hover-border-color: #BABD56;
            --bs-btn-active-color: white;
            --bs-btn-active-bg: #BABD56;
            --bs-btn-disabled-color: #BABD56;
            --bs-btn-disabled-bg: transparent;
        }

.bar-notification {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1050;
    width: 100%;
    padding: 15px 25px 15px 10px;
    line-height: 16px;
    color: #fff;
    opacity: 0.95;
}
.bar-notification.success {
	background-color: #4bb07a;
}
.bar-notification.error {
	background-color: #e4444c;
}
.bar-notification .content {
	margin: 0 10px 0 0;
}
.bar-notification .content a {
	color: #fff;
	text-decoration: underline;
}
.bar-notification .close {
	position: absolute;
	top: 0;
	right: 0;
	width: 32px;
	height: 32px;
	margin: 7px;
	background: #fff url('/images/close.png') center no-repeat;
	cursor: pointer;
}

.ajax-loading-block-window {
	position: fixed;
	top: 50%;
	left: 50%;
	z-index: 999;
	width: 32px;
	height: 32px;
	margin: -16px 0 0 -16px;
	background: url('/images/busy.gif') center no-repeat;
}

        
/* Responsive: Portrait tablets and up */
@media screen and (min-width: 768px) {
    .jumbotron {
        margin-top: 20px;
    }
    .body-content {
        padding: 0;
    }
}

#custombread {
}

    #custombread a {
        color: white;
    }

    #custombread .breadcrumb {
        padding: 1% 2%;
        background: rgba(102,100,100,.5);
        /*background: #666464;*/
        border-radius: 15px;
        font-size:18px;
    }


    #custombread .breadcrumb-item.active {
        color: white;
    }
